/*
 * @Description:5 * @Date: 2020-07-03 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-07-13 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"
//unsigned char temp;
//volatile long adcdata;

void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_SysClockInit();
		Drv_RamInit();
		SET_WDTTIME_125MS();
		SET_LVR_1V9();

		// SPI demo
		Drv_USIM_PowerOn();
		unsigned char i,data;
		data=0x01;
		for(i=0;i<20;i++)
		{
			USIM_Data.TxBuf[i]=data;
			data++;
		}
		//寫入一個byte數據
//		USIM_Data.RxBuf[0]=Drv_SIMSPI_TxRxByte(USIM_Data.TxBuf[0]);
//		USIM_Data.RxOffset = 0;
//		USIM_Data.TxOffset = 0;
		//寫入一個人buf數據，長度為TXBUF_LENGTH
		Drv_SIMSPI_TxRxBuf(TXBUF_LENGTH,USIM_Data.TxBuf);


	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}
	//主循環
	while(1)
	{
		GCC_CLRWDT();

	}
}